Subject: [sup-talk] A little bit of heliotrope hacking

From: Matthieu Rakotojaona <[email-masked]>
Date: Mon, 15 Aug 2011 23:19:12 +0200

Hello everyone,

I was playing with the lib/heliotrop-client to try and get some
messages from the heliotrope server. I think there is a mistake in
this file : one would need

require 'set'

to have it work. Turnsole includes it by default.

I was also thinking about trying to run a mailserver with heliotrope
as the mailstore. But I have only a few knowledge in this field. If I
understand well, I would need to install an MTA, and run something
like "cat message | ruby -I lib bin/heliotrope-add ", as explained in
the README, to deliver my mails to my mailbox. Is that right ?

Speaking of MTAs, which one would you recommand for a beginner like me
? I can get my hands dirty, but I don't have much time. Postfix and
Exim seem like the most common, the former may be a good start.

I will try to get together some information about the JSON API
(nothing too fancy)

Bye !

-- 
Matthieu RAKOTOJAONA
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk